using UnityEngine;
using System.Collections;

public class getMyTransform : MonoBehaviour
{

    // Use this for initialization
    void Start()
    {

    }

    // Update is called once per frame
    void Update()
    {
    }

    // this is to get the local transform of the source object for the LOCALIZE instrument
    public Vector3 getTransform(GameObject targ)
    {
        Vector3 ltrans = this.transform.InverseTransformPoint(targ.transform.position);
        return ltrans;
    }

    public float getYrotation()
    {
        return transform.eulerAngles.y;
    }
}
